<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::RenderSystemCapabilities Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#86c7c29d8be145515892fa6d054fa44e">getFragmentProgramConstantBoolCount</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#b2fdf94ce9d02faafc52fa8ce458297b">getFragmentProgramConstantFloatCount</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#cb830e4b3adbb7c007bcfce4b53598d2">getFragmentProgramConstantIntCount</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#0704c54e5941908a45d741b318dc5578">getMaxFragmentProgramVersion</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#6f82c240e62399468bafd8bc3f1eec88">getMaxPointSize</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#bd902d5a0ea15b91e99d82a9a65adfba">getMaxVertexProgramVersion</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#2c744135211afca5f60942980f65d9c3">getNonPOW2TexturesLimited</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#3b1ffeb8ebc5f169f403cffdf1bccfa2">getNumTextureUnits</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#fc245aed1285d3fbbdee743d51c68f8a">getNumVertexTextureUnits</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a9c5f080cb932b729e3eeaf4b88acc04">getNumWorldMatricies</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#2a891af96902f1ec14c8fefa13334e0c">getStencilBufferBitDepth</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#8a2ed7cf3bdc06fc004aaf767e557c7e">getVertexProgramConstantBoolCount</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#03a9d1e3524b626b0a2ea8cb921eba3e">getVertexProgramConstantFloatCount</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#b07b9b287d282cecac36e661f6977e1a">getVertexProgramConstantIntCount</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#c7e5afd559a54cc00bd960948b776d57">getVertexTextureUnitsShared</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#14fd0260f957d3099781f70d544d5c8e">hasCapability</a>(const Capabilities c) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#ef9f2e248e419df9621415c3951fba09">log</a>(Log *pLog)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#146a25f83a98d4cc52545bb4dec5955f">mCapabilities</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#27fbb13b542a8e2c7d75e787381d4158">mFragmentProgramConstantBoolCount</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#363baa3153104884d2a0ef337ee6ea92">mFragmentProgramConstantFloatCount</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#9dbb5c8648d32eb1624309f94205763e">mFragmentProgramConstantIntCount</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#81f9b26137179366cc22c6b0d7ea9d07">mMaxFragmentProgramVersion</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#1e33646cc9558a12c9389ca376ba94c2">mMaxPointSize</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#36b2b74903d8a3369d842091d587624f">mMaxVertexProgramVersion</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#445dc7153fee1762d12abed5d7463f33">mNonPOW2TexturesLimited</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#aaa314c0131a7eb6492b1532cc0b340c">mNumMultiRenderTargets</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#43c9db6bfd307805cf5cc4e2f0799547">mNumTextureUnits</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#bbe27f5059909ee7a77103b3b43d5a3b">mNumVertexBlendMatrices</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#d59df370ee6f1a69dc6f7480e68d803c">mNumVertexTextureUnits</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#64e1006759ef01acc90408c6670ef157">mNumWorldMatrices</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#449e2125d88a4ae151f0744a17447880">mStencilBufferBitDepth</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#25fd805e6880fe8ac23796c69001eb9c">mVertexProgramConstantBoolCount</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#c0aa8c9beea605c71338bfcc1c9ccdc9">mVertexProgramConstantFloatCount</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#b013482d1a40f06df9bb5cea8d9c1970">mVertexProgramConstantIntCount</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#43a4c6e44984408f87ffb11d46c51052">mVertexTextureUnitsShared</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#48532bf4bcee69bbb546a77b3a34a6b9">numMultiRenderTargets</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#b6a4164a489cb5ec43f69470dad3dd9a">numVertexBlendMatrices</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#04d9002874f93e33c1c19b77981619b9">RenderSystemCapabilities</a>()</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#e4d12b08dc193773222f9938c54d452c">setCapability</a>(const Capabilities c)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#011eba973fe349f787a621240b23617c">setFragmentProgramConstantBoolCount</a>(ushort c)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#d5ebcf7fa91d34bbda4d9020b43e3e33">setFragmentProgramConstantFloatCount</a>(ushort c)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#bc084fe2dda834b7d6b236b7ebd27c47">setFragmentProgramConstantIntCount</a>(ushort c)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#138810e19c14f381364f394f432b9ade">setMaxFragmentProgramVersion</a>(const String &amp;ver)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#1af2a1dc2f1ca1f269dac3f2086ce61d">setMaxPointSize</a>(Real s)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#d556c02999b08b73d09f5fea90d5828d">setMaxVertexProgramVersion</a>(const String &amp;ver)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a01343a82a55354a350735ffeb53a237">setNonPOW2TexturesLimited</a>(bool l)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#e71df2e605b37bc04a8ea19ac783aff8">setNumMultiRenderTargets</a>(ushort num)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#30d60525e67ed5f91b6cbd6237bf6d59">setNumTextureUnits</a>(ushort num)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#c0c9d7c2da760077f75262a0b2527ef5">setNumVertexBlendMatrices</a>(ushort num)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#c413b836ff218b338962cfdbfd8f3abd">setNumVertexTextureUnits</a>(ushort n)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#75d8395e0c43f90a1c531962f4c4b43a">setNumWorldMatricies</a>(ushort num)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#8e94964a9e870f2abae39d60ca481222">setStencilBufferBitDepth</a>(ushort num)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#5c5748ababf1fed6341974394707af2e">setVertexProgramConstantBoolCount</a>(ushort c)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#1e7fb39f40db9845caba401dd68b71f0">setVertexProgramConstantFloatCount</a>(ushort c)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#ca154f790d3d3e17ea63eae71c4809ea">setVertexProgramConstantIntCount</a>(ushort c)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#6d3150e03533c65123b4cdc1abf148cf">setVertexTextureUnitsShared</a>(bool shared)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#49ee4c3b34a2565a204486e882433f83">~RenderSystemCapabilities</a>()</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:52:15 2008
</p>
</body>
</html>
